View Issue Details

IDProjectCategoryView StatusLast Update
0003936SymmetricDSBugpublic2019-06-25 14:06
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.2Fixed in Version3.10.3 
Summary0003936: MSSQL Server to allow varbinary and binary in the where clause (updates and deletes)
DescriptionAll binary types were excluded when constructing the where clause in MSSQL. The driver will accept these fields as long as they are less than a size of 8000. This allows a table with only a binary PK to be replicated into MSSQL during update and deletes.
TagsNo tags attached.

Relationships

related to 0000963 closedjosh-a-hicks Update and delete does not sync on tables with varbinary primary key 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 a7b240a7

2019-05-03 12:28:00

josh-a-hicks

Details Diff
0003936: MSSQL Server to allow varbinary and binary in the where clause
(updates and deletes)

0003936
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2000DatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2019-05-03 12:27 josh-a-hicks New Issue
2019-05-03 12:27 josh-a-hicks Status new => assigned
2019-05-03 12:27 josh-a-hicks Assigned To => josh-a-hicks
2019-05-03 13:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 a7b240a7
2019-05-08 09:23 josh-a-hicks Status assigned => resolved
2019-05-08 09:23 josh-a-hicks Resolution open => fixed
2019-05-08 09:23 josh-a-hicks Fixed in Version => 3.10.3
2019-05-13 14:36 elong Relationship added related to 0001261
2019-05-13 14:36 elong Relationship deleted related to 0001261
2019-05-13 15:34 elong Relationship added related to 0000963
2019-06-25 14:06 admin Status resolved => closed